﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="ASPNET.aspx.cs" Inherits="_ASPNET" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html>
<head>
    <title>Contact List</title>
    <link type="text/css" rel="stylesheet" href="style.css" media="screen" />
</head>
<body>
<div class="query-form">
    <table>
        <tr>
            <td>姓名:</td>
            <td><input type="text" id="txtQryName" class="text" value='<%= this.qryName %>' /></td>
            <td>地址:</td>
            <td><input type="text" id="txtQryAddress" class="text" value='<%= this.qryAddress %>' /></td>
            <td><input type="button" id="btnQuery" value="查询" /></td>
        </tr>
    </table>
</div>

<h2>Contact List</h2>
<div class="contact-list">
    <table>
        <tr class="list-header">
            <td>姓名</td>
            <td>邮箱</td>
            <td>地址</td>
            <td>会员等级</td>
        </tr>
<%
    for (int i = 0; i < this.contacts.Count; i++)
    {
        if ((i + 1) % 2 == 1)
        {
%>
        <tr class="list-odd">
<%
    }
        else
        {
%>
        <tr class="list-even">
<%
        }
%>
            <td><% this.contacts[i].Name = this.contacts[i].Name + " - W"; %><%= this.contacts[i].Name %></td>
            <td><a href='<%= this.contacts[i].EMail %>'><%= this.contacts[i].EMail %></a></td>
            <td><%= this.contacts[i].Address %></td>
            <td><% if(this.contacts[i].TotalOrderAmt>1000){ %>钻卡会员
    <% }
                   else if (this.contacts[i].TotalOrderAmt > 200)
                   { %>金卡会员
    <%}
                   else { %>Standard<% } %></td>
        </tr>
<%
    }
%>
    </table>
</div>

<% if (this.hasMessage)
   {
       string msg = this.message + "<br />--this message was append in NVelocity.";
   %>
<div class="message"><%= msg %></div>
<%} %>

<br />
<h2>Item List - Array</h2>
<div>
<% foreach(string s in this.items1){ %>
<%= s %>,
<%} %>
</div>

<br />
<h2>Item List - List</h2>
<div>
<% foreach(DateTime dt in this.items2){ %>
<%= dt.ToString("yyyy-MM-dd") %>,
<%} %>
</div>

<br />
<h2>Item List - Dictionary</h2>
<div>
<% foreach(System.Collections.Generic.KeyValuePair<string, decimal> kv in this.items3){ %>
{<%= kv.Key %>-<%= kv.Value.ToString() %>},
<%} %>
</div>

<br />
<h2>Item List - DataTable</h2>
<div>
<% foreach(System.Data.DataRow row in this.items4.Rows ){ %>
{<%= row["key"] %>-<%= row["value"]%>},
<%} %>
</div>
</body>
</html>