﻿using System;
using Antlr3.ST;

public partial class _st : System.Web.UI.Page
{
    public class MyUser
    {
        public string LoginId { get; set; }
        public string NickName { get; set; }
        public string EMail { get; set; }
        public override string ToString()
        {
            return string.Format("{{ LoginId=\"{0}\", Name=\"{1}\", EMail=\"{2}\" }}"
                , this.LoginId
                , this.NickName
                , this.EMail);
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        StringTemplateGroup group = new StringTemplateGroup("st_syntax"
            , this.Server.MapPath("st"));
        StringTemplate st = group.LookupTemplate("st_syntax");
        MyUser user = new MyUser()
        {
            LoginId = "RicCC",
            EMail = "yudi @ sina.com",
            NickName = "Richie Liu"
        };
        st.SetAttribute("user", user);
        this.Response.Write(st.ToString());
    }
}